【Laravel&npm】環境構築「Module build failed (from ./node_modules/css-loader/index.js): エラーの対処法について

こんにちは。YOSHITAKA(@YOSHITA19704216)です。

初心者
Module build failed (from ./node_modules/css-loader/index.js): エラーが出てきましたが直せますか?

よしたか
学んだことをアウトプットしていきます。

 

この記事を読むことで
  • Module build failed (from ./node_modules/css-loader/index.js): エラーの対処法がわかります。

Module build failed (from ./node_modules/css-loader/index.js): エラーの対処法について

対象者

大前提
  • 環境構築で古いものを利用していると起きるエラーのようです。

原因  バージョンの違い

ModuleBuildError: Module build failed (from ./node_modules/sass-loader/dist/cjs.js):
Error: Node Sass version 5.0.0 is incompatible with ^4.0.0.

node-sassバージョン問題が発生していました。

5.0.0指定されているから4.0.0にしてねってことっぽいです。

環境構築大変です。笑

解決方法 バージョン下げる方法

指定されているバージョンにセットします。

npm uninstall node-sass
npm install node-sass@4.14.1
ポイント
  • 現在のnodesassをアンインストール。
  • 指定されているバージョンを@マークの後に記入してインストール

まとめ

今回はnpmのエラーの解決方法についてお伝えしました。

 

※プログラミングは習得中ですので、参考程度に記事を読んでください。

あなたは「Web集客」に限界を感じていませんか?

サイトをただ作るだけで満足ですか?

あなたのサービスやコンテンツはとっても有益なものがたくさんあります。

良いコンテンツも埋もれてしまっては全く意味がありません。

正しい知識と実践で、SEO対策はもちろん、ユーザビリティーを考えたサイトを作りませんか?

私と歩めばWebマーケティング知識とWordPressスキルが定着し、サイト回遊率、再訪問がアップします。

しかも、これだけでは終わりません!!

その先の「攻めのメディア」と組み合わせ、あなたのサービスを広めて売上を伸ばしていきます。

サイトを育てて、長い間愛されることのできるWordPressサイトからの集客導線(ゴールデンルート)を一緒に作りませんか?

↓ ↓ ↓ ↓ ↓ ↓ 

おすすめの記事